org.appng.api.rest.model

## Class Link

- java.lang.Object
- - org.appng.api.rest.model.Link

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class Link
      extends Object
      implements Serializable

  A link.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Link.TypeEnum` The type of this link.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Link` | `_default(Boolean _default)`
    `Link` | `confirmation(String confirmation)`
    `boolean` | `equals(Object o)`
    `String` | `getConfirmation()` A confirmation message that should be displayed to the user before following this link.
    `String` | `getIcon()` A descriptive name for an icon that should be used for this link.
    `String` | `getId()` The ID for this link.
    `String` | `getLabel()` The label for the link.
    `String` | `getTarget()` The target for the link.
    `Link.TypeEnum` | `getType()` The type of this link.
    `int` | `hashCode()`
    `Link` | `icon(String icon)`
    `Link` | `id(String id)`
    `Boolean` | `isDefault()` Whether or not this link should be considered as default.
    `Link` | `label(String label)`
    `void` | `setConfirmation(String confirmation)`
    `void` | `setDefault(Boolean _default)`
    `void` | `setIcon(String icon)`
    `void` | `setId(String id)`
    `void` | `setLabel(String label)`
    `void` | `setTarget(String target)`
    `void` | `setType(Link.TypeEnum type)`
    `Link` | `target(String target)`
    `String` | `toString()`
    `Link` | `type(Link.TypeEnum type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link()

  - ### Method Detail

    - #### id

          public Link id(String id)

    - #### getId

          public String getId()

      The ID for this link.
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### label

          public Link label(String label)

    - #### getLabel

          public String getLabel()

      The label for the link.
      Returns:
        label

    - #### setLabel

          public void setLabel(String label)

    - #### target

          public Link target(String target)

    - #### getTarget

          public String getTarget()

      The target for the link.
      Returns:
        target

    - #### setTarget

          public void setTarget(String target)

    - #### icon

          public Link icon(String icon)

    - #### getIcon

          public String getIcon()

      A descriptive name for an icon that should be used for this link.
      Returns:
        icon

    - #### setIcon

          public void setIcon(String icon)

    - #### _default

          public Link _default(Boolean _default)

    - #### isDefault

          public Boolean isDefault()

      Whether or not this link should be considered as default.
      Returns:
        _default

    - #### setDefault

          public void setDefault(Boolean _default)

    - #### type

          public Link type(Link.TypeEnum type)

    - #### getType

          public Link.TypeEnum getType()

      The type of this link.
      Returns:
        type

    - #### setType

          public void setType(Link.TypeEnum type)

    - #### confirmation

          public Link confirmation(String confirmation)

    - #### getConfirmation

          public String getConfirmation()

      A confirmation message that should be displayed to the user before following this link.
      Returns:
        confirmation

    - #### setConfirmation

          public void setConfirmation(String confirmation)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.